/*
 * Copyright (c) 2010, 2019, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

package jdk.javadoc.internal.doclets.formats.html.markup;

/**
 * Enum representing HTML styles. The name map to values in the CSS file.
 *
 *  <p><b>This is NOT part of any supported API.
 *  If you write code that depends on this, you do so at your own risk.
 *  This code and its internal interfaces are subject to change or
 *  deletion without notice.</b>
 *
 * @author Bhavesh Patel
 */
public enum HtmlStyle {
    aboutLanguage,
    activeTableTab,
    allClassesContainer,
    allPackagesContainer,
    altColor,
    annotations,
    arguments,
    bar,
    block,
    blockList,
    bottomNav,
    circle,
    classUseContainer,
    classUses,
    colConstructorName,
    colDeprecatedItemName,
    colFirst,
    colLast,
    colSecond,
    constantsSummary,
    constructorDetails,
    constructorSummary,
    constantDetails,
    constantValuesContainer,
    contentContainer,
    deprecatedLabel,
    deprecatedSummary,
    deprecationBlock,
    deprecationComment,
    description,
    descfrmTypeLabel,
    details,
    detail,
    docSummary,
    emphasizedPhrase,
    exceptions,
    externalLink,
    fieldDetails,
    fieldSummary,
    fixedNav,
    header,
    helpSection,
    hierarchy,
    horizontal,
    footer,
    implementationLabel,
    indexContainer,
    indexNav,
    inheritance,
    inheritedList,
    interfaceName,
    leftContainer,
    leftTop,
    leftBottom,
    legalCopy,
    mainContainer,
    memberDetails,
    memberName,
    memberNameLabel,
    memberNameLink,
    memberSignature,
    memberSummary,
    methodDetails,
    methodSignature,
    methodSummary,
    modifiers,
    moduleDescription,
    moduleLabelInPackage,
    moduleLabelInType,
    moduleTags,
    modulesSummary,
    nameValue,
    navBarCell1Rev,
    navList,
    navListSearch,
    navPadding,
    nestedClassSummary,
    overrideSpecifyLabel,
    overviewSummary,
    packages,
    packageDescription,
    packageHierarchyLabel,
    packageLabelInType,
    packagesSummary,
    packageUses,
    paramLabel,
    propertyDetails,
    propertySummary,
    providesSummary,
    requiresSummary,
    returnLabel,
    returnType,
    rightContainer,
    rightIframe,
    rowColor,
    searchTagLink,
    searchTagResult,
    seeLabel,
    serializedFormContainer,
    serializedPackageContainer,
    serializedClassDetails,
    servicesSummary,
    simpleTagLabel,
    skipNav,
    sourceContainer,
    sourceLineNo,
    subNav,
    subNavList,
    subTitle,
    summary,
    tabEnd,
    tableTab,
    throwsLabel,
    title,
    topNav,
    typeNameLabel,
    typeNameLink,
    typeParameters,
    typeParametersLong,
    typeSummary,
    useSummary,
    usesSummary
}
